| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Attributes | List of all members
cv::QRCodeDetector Class Reference
Object Detection

`#include <opencv2/objdetect.hpp>`

## Public Member Functions
| QRCodeDetector ()
| ~QRCodeDetector ()
std::string | decode (InputArray img, InputArray points, OutputArray straight_qrcode=noArray())
| Decodes QR code in image once it's found by the detect() method. More...
bool | decodeMulti (InputArray img, InputArray points, std::vector< std::string > &decoded_info, OutputArrayOfArrays straight_qrcode=noArray()) const
| Decodes QR codes in image once it's found by the detect() method. More...
bool | detect (InputArray img, OutputArray points) const
| Detects QR code in image and returns the quadrangle containing the code. More...
std::string | detectAndDecode (InputArray img, OutputArray points=noArray(), OutputArray straight_qrcode=noArray())
| Both detects and decodes QR code. More...
bool | detectAndDecodeMulti (InputArray img, std::vector< std::string > &decoded_info, OutputArray points=noArray(), OutputArrayOfArrays straight_qrcode=noArray()) const
| Both detects and decodes QR codes. More...
bool | detectMulti (InputArray img, OutputArray points) const
| Detects QR codes in image and returns the vector of the quadrangles containing the codes. More...
void | setEpsX (double epsX)
| sets the epsilon used during the horizontal scan of QR code stop marker detection. More...
void | setEpsY (double epsY)
| sets the epsilon used during the vertical scan of QR code stop marker detection. More...

## Protected Attributes
Ptr< Impl > | p

## Constructor & Destructor Documentation

## ◆ QRCodeDetector()

cv::QRCodeDetector::QRCodeDetector | ( |  | ) |

Python:
| <QRCodeDetector object> | = | cv.QRCodeDetector( |  | )

## ◆ ~QRCodeDetector()

cv::QRCodeDetector::~QRCodeDetector | ( |  | ) |

## Member Function Documentation

## ◆ decode()

std::string cv::QRCodeDetector::decode | ( | InputArray | img,
|  | InputArray | points,
|  | OutputArray | straight_qrcode = `noArray()`
| ) |  |

Python:
| retval, straight_qrcode | = | cv.QRCodeDetector.decode( | img, points[, straight_qrcode] | )

Decodes QR code in image once it's found by the detect() method.

Returns UTF8-encoded output string or empty string if the code cannot be decoded.

Parameters

  img | grayscale or color (BGR) image containing QR code.
  points | Quadrangle vertices found by detect() method (or some other algorithm).
  straight_qrcode | The optional output image containing rectified and binarized QR code

## ◆ decodeMulti()

bool cv::QRCodeDetector::decodeMulti | ( | InputArray | img,
|  | InputArray | points,
|  | std::vector< std::string > & | decoded_info,
|  | OutputArrayOfArrays | straight_qrcode = `noArray()`
| ) |  | const

Python:
| retval, decoded_info, straight_qrcode | = | cv.QRCodeDetector.decodeMulti( | img, points[, straight_qrcode] | )

Decodes QR codes in image once it's found by the detect() method.

Parameters

  img | grayscale or color (BGR) image containing QR codes.
  decoded_info | UTF8-encoded output vector of string or empty vector of string if the codes cannot be decoded.
  points | vector of Quadrangle vertices found by detect() method (or some other algorithm).
  straight_qrcode | The optional output vector of images containing rectified and binarized QR codes

## ◆ detect()

bool cv::QRCodeDetector::detect | ( | InputArray | img,
|  | OutputArray | points
| ) |  | const

Python:
| retval, points | = | cv.QRCodeDetector.detect( | img[, points] | )

Detects QR code in image and returns the quadrangle containing the code.

Parameters

  img | grayscale or color (BGR) image containing (or not) QR code.
  points | Output vector of vertices of the minimum-area quadrangle containing the code.

## ◆ detectAndDecode()

std::string cv::QRCodeDetector::detectAndDecode | ( | InputArray | img,
|  | OutputArray | points = `noArray()`,
|  | OutputArray | straight_qrcode = `noArray()`
| ) |  |

Python:
| retval, points, straight_qrcode | = | cv.QRCodeDetector.detectAndDecode( | img[, points[, straight_qrcode]] | )

Both detects and decodes QR code.

Parameters

  img | grayscale or color (BGR) image containing QR code.
  points | optional output array of vertices of the found QR code quadrangle. Will be empty if not found.
  straight_qrcode | The optional output image containing rectified and binarized QR code

## ◆ detectAndDecodeMulti()

bool cv::QRCodeDetector::detectAndDecodeMulti | ( | InputArray | img,
|  | std::vector< std::string > & | decoded_info,
|  | OutputArray | points = `noArray()`,
|  | OutputArrayOfArrays | straight_qrcode = `noArray()`
| ) |  | const

Python:
| retval, decoded_info, points, straight_qrcode | = | cv.QRCodeDetector.detectAndDecodeMulti( | img[, points[, straight_qrcode]] | )

Both detects and decodes QR codes.

Parameters

  img | grayscale or color (BGR) image containing QR codes.
  decoded_info | UTF8-encoded output vector of string or empty vector of string if the codes cannot be decoded.
  points | optional output vector of vertices of the found QR code quadrangles. Will be empty if not found.
  straight_qrcode | The optional output vector of images containing rectified and binarized QR codes

## ◆ detectMulti()

bool cv::QRCodeDetector::detectMulti | ( | InputArray | img,
|  | OutputArray | points
| ) |  | const

Python:
| retval, points | = | cv.QRCodeDetector.detectMulti( | img[, points] | )

Detects QR codes in image and returns the vector of the quadrangles containing the codes.

Parameters

  img | grayscale or color (BGR) image containing (or not) QR codes.
  points | Output vector of vector of vertices of the minimum-area quadrangle containing the codes.

## ◆ setEpsX()

void cv::QRCodeDetector::setEpsX | ( | double | epsX | ) |

Python:
| None | = | cv.QRCodeDetector.setEpsX( | epsX | )

sets the epsilon used during the horizontal scan of QR code stop marker detection.

Parameters

  epsX | Epsilon neighborhood, which allows you to determine the horizontal pattern of the scheme 1:1:3:1:1 according to QR code standard.

## ◆ setEpsY()

void cv::QRCodeDetector::setEpsY | ( | double | epsY | ) |

Python:
| None | = | cv.QRCodeDetector.setEpsY( | epsY | )

sets the epsilon used during the vertical scan of QR code stop marker detection.

Parameters

  epsY | Epsilon neighborhood, which allows you to determine the vertical pattern of the scheme 1:1:3:1:1 according to QR code standard.

## Member Data Documentation

## ◆ p

Ptr<Impl> cv::QRCodeDetector::p
| protected

The documentation for this class was generated from the following file:

- opencv2/objdetect.hpp